#include <iostream>
using namespace std;
int main()
{
    int n;
    cin>>n;
    int row[n],col[n];
    for(int i=0;i<n;i++)
    {
        row[i]=col[i]=0;
    }
    for(int i=0;i<n;i++)
    {
        int r,c;
        cin>>r>>c;
        row[r-1]++;
        col[c-1]++;
    }
    int broj=0;
    for(int i=0;i<n;i++)
    {
        if(!row[i])
        {
            int j;
            for(j=i+1;j<n||row[j]<2;j++);
            broj+=j-i;
            row[j]--;
            row[i]++;
        }
        if(!col[i])
        {
            int j;
            for(j=i+1;j<n||col[j]<2;j++);
            broj+=j-i;
            col[j]--;
            col[i]++;
        }
    }
    cout<<broj;
    return 0;
}